unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComObj, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    Button3: TButton;
    Button4: TButton;
    ColorDialog1: TColorDialog;
    ComboBox1: TComboBox;
    Label1: TLabel;
    Button2: TButton;
    Button5: TButton;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    procedure Slide1(Sender: TObject);
    { Private declarations }
  public
    { Public declarations }
  end;
const
//  
  ppBackground = $00000001;
  ppForeground = $00000002;
  ppShadow     = $00000003;
  ppTitle      = $00000004;
  ppFill       = $00000005;
  ppAccent1    = $00000006;
  ppAccent2    = $00000007;
  ppAccent3    = $00000008;
// 
  ppDefaultStyle = $00000001;	//  
  ppTitleStyle   = $00000002;	//  
  ppBodyStyle    = $00000003;	//  

var
  Form1: TForm1;

implementation
var
  W:Variant;
{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  W:=CreateOleObject('PowerPoint.Application');
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  W.Visible:=CheckBox1.Checked;
end;

procedure TForm1.Button3Click(Sender: TObject);
const
  msConnectorStraight = 1;
var
  V,V1: Variant;
begin
 W.Presentations.Add;
 W.ActivePresentation.Slides.Add(1,1); //  - ppLayoutTitle
 Slide1(Self); //  1- 
 //  
 V:=W.ActivePresentation.Slides.Item(1).Shapes
   .AddConnector(msConnectorStraight,0,0,0,0);
 V1:=W.ActivePresentation.Slides.Item(1).Shapes;
 V.ConnectorFormat.BeginConnect(ConnectedShape:=V1.Item(1), ConnectionSite:=3);
 V.ConnectorFormat.EndConnect (ConnectedShape:=V1.Item(2), ConnectionSite:=1);
end;

procedure TForm1.Slide1(Sender: TObject);
//  1- 
var
 V,V1: Variant;
begin
 V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(1)
   .TextFrame.TextRange;
 V.Characters(Start:=1,Length:=0).Text:='';
 V.Font.Name := 'Times New Roman';
 V.Font.Size := 44;
 V.Font.Bold := 0;  // msoFalse
 V.Font.Italic := 0; // msoFalse
 V.Font.Underline := 0; // msoFalse
 V.Font.Shadow := 0; // msoFalse
 V.Font.Emboss := 0; // msoFalse
 V.Font.BaseLineOffset := 0;
 V.Font.AutoRotateNumbers := 0; // msoFalse
 V.Font.Color.SchemeColor := 4; // ppTitle

 V1:=W.ActivePresentation.Slides.Item(1).Shapes.Item(2)
   .TextFrame.TextRange;
 V1.Characters(Start:=1,Length:=0).Text:='-' + Chr(13)
    + '  "  "';
 V1.Font.Name := 'Times New Roman';
 V1.Font.Size := 32;
 V1.Font.Bold := 0; // msoFalse
 V1.Font.Italic := 0; // msoFalse
 V1.Font.Underline := 0; // msoFalse
 V1.Font.Shadow := 0; // msoFalse
 V1.Font.Emboss := 0; // msoFalse
 V1.Font.BaseLineOffset := 0;
 V1.Font.AutoRotateNumbers := 0; // msoFalse
 V1.Font.Color.SchemeColor := 2; // ppForeground
end;


procedure TForm1.Button4Click(Sender: TObject);
begin
 W.Quit;
 Close;
end;


procedure TForm1.ComboBox1Change(Sender: TObject);
var
  V: Variant;
begin
  V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).ConnectorFormat;
  V.Type:=ComboBox1.ItemIndex+1; //   

end;

procedure TForm1.Button2Click(Sender: TObject);
//  
var
  V: Variant;
begin
  V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3).ConnectorFormat;
  V.BeginDisconnect;
  V.EndDisconnect;
  ShowMessage(' ');
end;

procedure TForm1.Button5Click(Sender: TObject);
//  
var
  V,V1: Variant;
begin
  V1:=W.ActivePresentation.Slides.Item(1).Shapes;
  V:=W.ActivePresentation.Slides.Item(1).Shapes.Item(3);
  V.ConnectorFormat.BeginConnect(ConnectedShape:=V1.Item(1), ConnectionSite:=3);
  V.ConnectorFormat.EndConnect (ConnectedShape:=V1.Item(2), ConnectionSite:=1);
  ShowMessage(' ');
end;

end.
